// Данный пример меняет изображение символа 'd'.                 //
                                                                 // Создаём изображение которое станет изображением символа 'd'.
const uint8_t myImage[]{0b00000000,                              //                     |  |     | |
                        0b00000000, /* Посмотрите, изображение*/ //                     |  |     | |
                        0b00001100, /* можно увидеть прямо в  */ //                     |  |  ## | |
                        0b00010100, /* коде!!!                */ //                     |  | # # | |
                        0b00010100,                              //                     |  | # # | |
                        0b00111110,                              //                     |  |#####| |
                        0b00100010,                              //                     |  |#   #| |
                        0b00000000 };                            //                     |  |     | |
                                                                 //
#include <Wire.h>                                                // Подключаем библиотеку для работы с аппаратной шиной I2C.
#include <iarduino_I2C_Matrix_8x8.h>                             // Подключаем библиотеку для работы с LED матрицей 8x8.
iarduino_I2C_Matrix_8x8 disp(0x09);                              // Объявляем объект disp для работы с LED матрицей 8x8, указывая её адрес на шине I2C.
                                                                 //
void setup(){                                                    //
    delay(500);                                                  // Ждём завершение переходных процессов связанных с подачей питания.
    disp.begin();                                                // Инициируем работу с LED матрицей 8x8.
    disp.drawImage(myImage);                                     // Выводим на дисплей изображение массива myImage.
    disp.changeChar(100);                                        // Сохраняем изображение дисплея как изображение символа с кодом 100.
    disp.print("Hello World");                                   // Загружаем текст для бегущей строки (но не выводим её).
    disp.autoScroll(250, 500);                                   // Выводим текст бегущей строки. Указываем постоянно прокручивать бегущую строку со скоростью 250 и паузой между прокрутками в 500 мс.
}                                                                //
                                                                 // Теперь если вывести символ 'd' (как в тексте, так и отдельно), на экране будет изображение символа 'д'.
void loop(){                                                     // Так можно заменить все символы Кириллицы и Латиницы.
}                                                                // Изменения буду действовать до отключения питания дисплея.